# Get sheet path

Gets the hierarchical path of the sheet, showing its location within folders and workspace, if workspace-level access is provided

Endpoint: GET /sheets/{sheetId}/path
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

## Response 200 fields (application/json):

  - `id` (integer, required)
    Workspace ID.
    Example: 4509918431602564

  - `name` (string, required)
    Workspace name.
    Example: "Sample Workspace"

  - `permalink` (string, required)
    URL that represents a direct link to the workspace in Smartsheet.
    Example: "https://api.smartsheet.com/workspaces/cpG82pf5v8FPrgFfJrFcrM56xCHVGhmV4P4xcQ71"

  - `accessLevel` (string, required)
    The access level of the user to the workspace.
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

## Response 404 fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


